For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet records
      • GETGet record Indices
      • PUTUpdate records
      • POSTInsert records
      • DELDelete records
      • PUTFinds and replaces field values matching search criteria
      • PATCHBulk update records with field values
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRecords

Get record Indices

GET
https://api.x.flatfile.com/v1/sheets/:sheetId/records/indices
GET
/v1/sheets/:sheetId/records/indices
$curl -G https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID/records/indices \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode "ids=list<$commons.RecordId.Example0, $commons.RecordId.Example1>"
1[
2 {
3 "id": "us_rc_YOUR_ID",
4 "index": 4999
5 },
6 {
7 "id": "us_rc_YOUR_ID_2",
8 "index": 300
9 },
10 {
11 "id": "us_rc_YOUR_ID_3",
12 "index": -1
13 }
14]
Returns indices of records from a sheet in a workbook
Was this page helpful?
Previous

Update records

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Query parameters

commitIdstringOptional
Commit ID
sinceCommitIdstringOptional
Commit ID
sortFieldstringOptional
Name of field by which to sort records
sortDirectionenumOptional

Sort direction - asc (ascending) or desc (descending)

Allowed values:
filterenumOptional
Options to filter records
Allowed values:
filterFieldstringOptional
Name of field by which to filter records
searchValuestringOptional

Search for the given value, returning matching rows. For exact matches, wrap the value in double quotes (“Bob”). To search for null values, send empty double quotes ("")

searchFieldstringOptional
Use this to narrow the searchValue results to a specific field
idsstringRequired
List of record IDs to include in the query. Limit 100.
qstringOptional
An FFQL query used to filter the result set

Response

This endpoint returns a list of objects.
idstring
indexinteger

Errors

400
Bad Request Error
404
Not Found Error